/*
 * This file's style only applies to broken objects, not the rest
 * of the page.
 */

@namespace html url(http://www.w3.org/1999/xhtml);

html|object:not([width]), html|object[width=""],
html|embed:not([width]), html|embed[width=""],
html|applet:not([width]), html|applet[width=""] {
  width: 240px;
}

html|object:not([height]), html|object[height=""],
html|embed:not([height]), html|embed[height=""],
html|applet:not([height]), html|applet[height=""] {
  height: 200px;
}

html|object > *|*,
html|embed > *|*,
html|applet > *|* {
  width: inherit;
  height: inherit;
}

html|a {
  text-align: -moz-center;
  display: inline-block;
  /* overflow:hidden makes baseline vertical-alignment act like plugins */
  overflow: hidden;
  vertical-align: inherit;
  border: 1px outset;
  padding: 5px;
  font-size: 12px;
  font-family: sans-serif;
  background: white;
  -moz-user-select: none;
  text-decoration: none;
  color: black;
}

#missingPluginPlaceholder {
  list-style-image: url(chrome://mozapps/skin/xpinstall/xpinstallItemGeneric.png);
  display: block;
  border: 0px;
  width: 32px;
  height: 32px;
}
